# Uses of Class
com.databricks.jdbc.model.telemetry.HostDetails

Packages that use HostDetails
Package
Description
com.databricks.jdbc.model.telemetry

## Uses of HostDetails in com.databricks.jdbc.model.telemetry

Methods in com.databricks.jdbc.model.telemetry that return HostDetails
Modifier and Type
Method
Description
`HostDetails`
HostDetails.`setHostUrl(String hostUrl)`
`HostDetails`
HostDetails.`setNonProxyHosts(String non_proxy_hosts)`
`HostDetails`
HostDetails.`setPort(int port)`
`HostDetails`
HostDetails.`setProxyType(com.databricks.sdk.core.ProxyConfig.ProxyAuthType proxyType)`
Methods in com.databricks.jdbc.model.telemetry with parameters of type HostDetails
Modifier and Type
Method
Description
`DriverConnectionParameters`
DriverConnectionParameters.`setCfProxyHostDetails(HostDetails cfProxyHostDetails)`
`DriverConnectionParameters`
DriverConnectionParameters.`setHostDetails(HostDetails hostDetails)`
`DriverConnectionParameters`
DriverConnectionParameters.`setProxyHostDetails(HostDetails proxyHostDetails)`